Name:           perl-Email-Abstract
Version:        3.007
Release:        1%{?dist}.1
Summary:        Unified interface to mail representations
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-Abstract/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Abstract-%{version}.tar.gz

BuildRequires:  perl(Carp)
BuildRequires:  perl(Email::Simple) >= 1.998
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(MIME::Entity),
BuildRequires:  perl(Module::Pluggable) >= 1.5
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Scalar::Util)
%if 0%{?rhel} == 0
BuildRequires:  perl(Mail::Message)
BuildRequires:  perl(Email::MIME)
%endif
BuildArch:      noarch

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
"Email::Abstract" provides module writers with the ability to write
representation-independent mail handling code. For instance, in the
cases of "Mail::Thread" or "Mail::ListDetector", a key part of the code
involves reading the headers from a mail object. Where previously one
would either have to specify the mail class required, or to build a new
object from scratch, "Email::Abstract" can be used to perform certain
simple operations on an object regardless of its underlying
representation.

%prep
%setup -q -n Email-Abstract-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc LICENSE Changes
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*

%changelog
* Fri Mar 07 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 3.007-1.1
- Do not BR packages that are not present in el7

* Wed Jan 08 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.007-1
- Upstream update (RHBZ #1049728).
- Reflect upstream BR:-changes.
- Modernize spec.

* Sat Jan 04 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.002-11
- Add R: perl(Module::Pluggable) (RHBZ #1048430).

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.002-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.002-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 3.002-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.002-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 3.002-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.002-2
- 661697 rebuild for fixing problems with vendorach/lib

* Mon Jul 12 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 3.002-1
- update to 3.002

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.001-5
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.001-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 3.001-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 3.001-1
- update to 3.001

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.134-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.134-3
- Rebuild for perl 5.10 (again)

* Mon Jan 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.134-2
- rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.134-1
- 2.134

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.132-4
- license fix

* Mon Apr 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.132-3
- add missing BR Email::MIME, Test::Pod, Test::Pod::Coverage

* Mon Apr  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.132-2
- remove LICENSE line from Makefile.PL
- add BR Module::Pluggable, Mail::Message

* Sun Apr  1 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.132-1
- Initial package for Fedora
